%h1 Listing states
%h2= @organization.name
%h3 Type: #{@item_type.title}

%table
  %thead
    %tr
      %th Name
      %th Description
      %th Color
      %th Reachable count
      %th Source count
      %th
      %th
      %th

  %tbody
    - @states.each do |state|
      %tr
        %td= state.name
        %td= state.description
        %td= state.color
        %td= state.reachable_states.size
        %td= state.source_states.size
        %td= link_to 'Show', [@organization, @item_type, state]
        %td= link_to 'Edit',
        edit_organization_item_type_state_path(@organization,
        @item_type, state)
        %td= link_to 'Destroy', [@organization, @item_type, state],
        method: :delete, data: { confirm: 'Are you sure?' }

%br

= link_to 'New State',
new_organization_item_type_state_path(@organization, @item_type)
\|
= link_to 'Item Type (back)', organization_item_type_path(@organization,
@item_type)
